<?php
$tdatapromocion = array();
$tdatapromocion[".searchableFields"] = array();
$tdatapromocion[".ShortName"] = "promocion";
$tdatapromocion[".OwnerID"] = "";
$tdatapromocion[".OriginalTable"] = "promocion";


$tdatapromocion[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatapromocion[".originalPagesByType"] = $tdatapromocion[".pagesByType"];
$tdatapromocion[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatapromocion[".originalPages"] = $tdatapromocion[".pages"];
$tdatapromocion[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatapromocion[".originalDefaultPages"] = $tdatapromocion[".defaultPages"];

//	field labels
$fieldLabelspromocion = array();
$fieldToolTipspromocion = array();
$pageTitlespromocion = array();
$placeHolderspromocion = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspromocion["Spanish"] = array();
	$fieldToolTipspromocion["Spanish"] = array();
	$placeHolderspromocion["Spanish"] = array();
	$pageTitlespromocion["Spanish"] = array();
	$fieldLabelspromocion["Spanish"]["codigo_aj"] = "Codigo Aj";
	$fieldToolTipspromocion["Spanish"]["codigo_aj"] = "";
	$placeHolderspromocion["Spanish"]["codigo_aj"] = "";
	$fieldLabelspromocion["Spanish"]["fecha_fin"] = "Fecha Fin";
	$fieldToolTipspromocion["Spanish"]["fecha_fin"] = "";
	$placeHolderspromocion["Spanish"]["fecha_fin"] = "";
	$fieldLabelspromocion["Spanish"]["fecha_inicial"] = "Fecha Inicial";
	$fieldToolTipspromocion["Spanish"]["fecha_inicial"] = "";
	$placeHolderspromocion["Spanish"]["fecha_inicial"] = "";
	$fieldLabelspromocion["Spanish"]["id_promocion"] = "Id Promocion";
	$fieldToolTipspromocion["Spanish"]["id_promocion"] = "";
	$placeHolderspromocion["Spanish"]["id_promocion"] = "";
	$fieldLabelspromocion["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipspromocion["Spanish"]["nombre"] = "";
	$placeHolderspromocion["Spanish"]["nombre"] = "";
	$fieldLabelspromocion["Spanish"]["descripcion"] = "Descripcion";
	$fieldToolTipspromocion["Spanish"]["descripcion"] = "";
	$placeHolderspromocion["Spanish"]["descripcion"] = "";
	$fieldLabelspromocion["Spanish"]["estado"] = "Estado";
	$fieldToolTipspromocion["Spanish"]["estado"] = "";
	$placeHolderspromocion["Spanish"]["estado"] = "";
	if (count($fieldToolTipspromocion["Spanish"]))
		$tdatapromocion[".isUseToolTips"] = true;
}


	$tdatapromocion[".NCSearch"] = true;



$tdatapromocion[".shortTableName"] = "promocion";
$tdatapromocion[".nSecOptions"] = 0;

$tdatapromocion[".mainTableOwnerID"] = "";
$tdatapromocion[".entityType"] = 0;
$tdatapromocion[".connId"] = "bsn_dividendos_at_localhost";


$tdatapromocion[".strOriginalTableName"] = "promocion";

	



$tdatapromocion[".showAddInPopup"] = false;

$tdatapromocion[".showEditInPopup"] = false;

$tdatapromocion[".showViewInPopup"] = false;

$tdatapromocion[".listAjax"] = false;
//	temporary
//$tdatapromocion[".listAjax"] = false;

	$tdatapromocion[".audit"] = true;

	$tdatapromocion[".locking"] = true;


$pages = $tdatapromocion[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapromocion[".edit"] = true;
	$tdatapromocion[".afterEditAction"] = 1;
	$tdatapromocion[".closePopupAfterEdit"] = 1;
	$tdatapromocion[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapromocion[".add"] = true;
$tdatapromocion[".afterAddAction"] = 1;
$tdatapromocion[".closePopupAfterAdd"] = 1;
$tdatapromocion[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapromocion[".list"] = true;
}



$tdatapromocion[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapromocion[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapromocion[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapromocion[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapromocion[".printFriendly"] = true;
}



$tdatapromocion[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapromocion[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapromocion[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapromocion[".isUseAjaxSuggest"] = true;



																																	

$tdatapromocion[".ajaxCodeSnippetAdded"] = false;

$tdatapromocion[".buttonsAdded"] = false;

$tdatapromocion[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapromocion[".isUseTimeForSearch"] = false;


$tdatapromocion[".badgeColor"] = "CD853F";


$tdatapromocion[".allSearchFields"] = array();
$tdatapromocion[".filterFields"] = array();
$tdatapromocion[".requiredSearchFields"] = array();

$tdatapromocion[".googleLikeFields"] = array();
$tdatapromocion[".googleLikeFields"][] = "codigo_aj";
$tdatapromocion[".googleLikeFields"][] = "descripcion";
$tdatapromocion[".googleLikeFields"][] = "estado";
$tdatapromocion[".googleLikeFields"][] = "fecha_fin";
$tdatapromocion[".googleLikeFields"][] = "fecha_inicial";
$tdatapromocion[".googleLikeFields"][] = "id_promocion";
$tdatapromocion[".googleLikeFields"][] = "nombre";



$tdatapromocion[".tableType"] = "list";

$tdatapromocion[".printerPageOrientation"] = 0;
$tdatapromocion[".nPrinterPageScale"] = 100;

$tdatapromocion[".nPrinterSplitRecords"] = 40;

$tdatapromocion[".geocodingEnabled"] = false;










$tdatapromocion[".pageSize"] = 30;

$tdatapromocion[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapromocion[".strOrderBy"] = $tstrOrderBy;

$tdatapromocion[".orderindexes"] = array();


$tdatapromocion[".sqlHead"] = "SELECT codigo_aj,  	descripcion,  	estado,  	fecha_fin,  	fecha_inicial,  	id_promocion,  	nombre";
$tdatapromocion[".sqlFrom"] = "FROM promocion";
$tdatapromocion[".sqlWhereExpr"] = "";
$tdatapromocion[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapromocion[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapromocion[".arrGroupsPerPage"] = $arrGPP;

$tdatapromocion[".highlightSearchResults"] = true;

$tableKeyspromocion = array();
$tableKeyspromocion[] = "id_promocion";
$tdatapromocion[".Keys"] = $tableKeyspromocion;


$tdatapromocion[".hideMobileList"] = array();




//	codigo_aj
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "codigo_aj";
	$fdata["GoodName"] = "codigo_aj";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","codigo_aj");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "codigo_aj";

		$fdata["sourceSingle"] = "codigo_aj";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "codigo_aj";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["codigo_aj"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "codigo_aj";
//	descripcion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "descripcion";
	$fdata["GoodName"] = "descripcion";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","descripcion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "descripcion";

		$fdata["sourceSingle"] = "descripcion";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descripcion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["descripcion"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "descripcion";
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","estado");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado";

		$fdata["sourceSingle"] = "estado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["estado"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "estado";
//	fecha_fin
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "fecha_fin";
	$fdata["GoodName"] = "fecha_fin";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","fecha_fin");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_fin";

		$fdata["sourceSingle"] = "fecha_fin";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_fin";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["fecha_fin"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "fecha_fin";
//	fecha_inicial
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fecha_inicial";
	$fdata["GoodName"] = "fecha_inicial";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","fecha_inicial");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_inicial";

		$fdata["sourceSingle"] = "fecha_inicial";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_inicial";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["fecha_inicial"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "fecha_inicial";
//	id_promocion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_promocion";
	$fdata["GoodName"] = "id_promocion";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","id_promocion");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_promocion";

		$fdata["sourceSingle"] = "id_promocion";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_promocion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["id_promocion"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "id_promocion";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "promocion";
	$fdata["Label"] = GetFieldLabel("promocion","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapromocion["nombre"] = $fdata;
		$tdatapromocion[".searchableFields"][] = "nombre";


$tables_data["promocion"]=&$tdatapromocion;
$field_labels["promocion"] = &$fieldLabelspromocion;
$fieldToolTips["promocion"] = &$fieldToolTipspromocion;
$placeHolders["promocion"] = &$placeHolderspromocion;
$page_titles["promocion"] = &$pageTitlespromocion;


changeTextControlsToDate( "promocion" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["promocion"] = array();
//	pro_participante
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pro_participante";
		$detailsParam["dOriginalTable"] = "pro_participante";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pro_participante";
	$detailsParam["dCaptionTable"] = GetTableCaption("pro_participante");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["promocion"][$dIndex] = $detailsParam;

	
		$detailsTablesData["promocion"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["masterKeys"][]="id_promocion";

				$detailsTablesData["promocion"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["detailKeys"][]="id_promocion";
//	pro_ganador
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pro_ganador";
		$detailsParam["dOriginalTable"] = "pro_ganador";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pro_ganador";
	$detailsParam["dCaptionTable"] = GetTableCaption("pro_ganador");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["promocion"][$dIndex] = $detailsParam;

	
		$detailsTablesData["promocion"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["masterKeys"][]="id_promocion";

				$detailsTablesData["promocion"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["detailKeys"][]="id_promocion";
//	pro_premio
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pro_premio";
		$detailsParam["dOriginalTable"] = "pro_premio";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pro_premio";
	$detailsParam["dCaptionTable"] = GetTableCaption("pro_premio");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["promocion"][$dIndex] = $detailsParam;

	
		$detailsTablesData["promocion"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["masterKeys"][]="id_promocion";

				$detailsTablesData["promocion"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["promocion"][$dIndex]["detailKeys"][]="id_promocion";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["promocion"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_promocion()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "codigo_aj,  	descripcion,  	estado,  	fecha_fin,  	fecha_inicial,  	id_promocion,  	nombre";
$proto0["m_strFrom"] = "FROM promocion";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "codigo_aj",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto6["m_sql"] = "codigo_aj";
$proto6["m_srcTableName"] = "promocion";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "descripcion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto8["m_sql"] = "descripcion";
$proto8["m_srcTableName"] = "promocion";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto10["m_sql"] = "estado";
$proto10["m_srcTableName"] = "promocion";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_fin",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto12["m_sql"] = "fecha_fin";
$proto12["m_srcTableName"] = "promocion";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_inicial",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto14["m_sql"] = "fecha_inicial";
$proto14["m_srcTableName"] = "promocion";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto16["m_sql"] = "id_promocion";
$proto16["m_srcTableName"] = "promocion";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "promocion",
	"m_srcTableName" => "promocion"
));

$proto18["m_sql"] = "nombre";
$proto18["m_srcTableName"] = "promocion";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "promocion";
$proto21["m_srcTableName"] = "promocion";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "codigo_aj";
$proto21["m_columns"][] = "descripcion";
$proto21["m_columns"][] = "estado";
$proto21["m_columns"][] = "fecha_fin";
$proto21["m_columns"][] = "fecha_inicial";
$proto21["m_columns"][] = "id_promocion";
$proto21["m_columns"][] = "nombre";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "promocion";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "promocion";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="promocion";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_promocion = createSqlQuery_promocion();


	
		;

							

$tdatapromocion[".sqlquery"] = $queryData_promocion;



$tdatapromocion[".hasEvents"] = false;

?>